Exchange Server 2010 Prerequisites and Exchange Server 2010 System Requirements

Any wise Mail Administrator contemplating transitioning from any version of Microsoft Exchange Server, to the latest mail server version of Exchange Server 2010, would commonly be concern about the Exchange Server 2010 Prerequisites, or whatever the latest Microsoft mail server software available.

There may be later Exchange versions available, if you are reading this article several years after the published date, but the same will apply in every case. Wise administrators are developed through experience, not born with the talent to be a wise administrator.

I hope that you are not one of the few persons left in this world that are running Exchange Server 5.5.  I am just “kidding”, but really, you do need to upgrade to the latest exchange server version, so you can receive support, when you need it.

No need to feel left out, if you are still running Exchange 5.5.  I am one of those persons that refused to upgrade just because a new version of software is produced. I never like being on the cutting edge of any new software.  I love waiting until others have tried it out first. The only reason I transitioned to the latest version, was because of Industry pressure from other administrators, while attending Microsoft Tech Ed conference in June 2010.

I am sure by now, if you have been working in this field for some time, that you have heard of the term, “If it is not broken, do no fix it”.

While at the Tech Ed conference, the question was asked of participants whether they were still running Exchange 5.5, and to my surprise it was at least more than half of the attendees.  If you have never attended Microsoft annual Tech Ed conference, then you are being deprived of knowing which direction technology is headed, in reference to Microsoft products.

Another reason for upgrading to Exchange Server 2010, or later is because main line support for Exchange Server 5.5 has been discontinued, since 2005. Microsoft also has available in place extended support for Exchange Server 5.5 that began in 2006. You can imagine how expensive this can be.

Support is critical to the successful running of your exchange environment.  I am a true witness of this. Could you imagine having an email system crashed, and not having support available? Trust me; you do not want to ever be caught without some kind of support in place.  Email is a critical part of the running of any company, and any wise administrator will strive to always have support available.

AS and Exchange System Administrator you will require support at some point in your career.  No system will ever run 100% up time.  I can recall on several occasions when I needed support but was not able to received support because of no support agreements being in place. I have learned my lesson, which is one of the reasons why at the beginning of each year I would normally renew my “5 Pack Support” with Microsoft.

I have to constantly remind myself that this article is not about the day to day operation of my exchange server environment, but about Exchange Server 2010 Prerequisites.

If you are running exchange server 5.5 you must know by now that there are no direct approved upgrade paths to Exchange Server 2010.  I have used the term “approve upgrade path”, because there may be some undiscovered third party utilities available to accomplish this, but you have to be careful.

If the upgrade path that you are using is not approved by Microsoft, then they will not give you any assistance, if needed during your greatest challenge. To reduce some of the problems that you may experience during an upgrade to Exchange 2010, you should pay close attention to Microsoft representation of Exchange Server 2010 Prerequisites.

Exchange Server 2010 prerequisites require that the Active Directory Forest functional level be set to Windows Server 2003, or higher.  Whichever server is responsible for the Schema Master role within the forest, should be running Windows Server 2003 with a service pack level of at least 1.

If you are running Exchange 5.5 then you must upgrade to Exchange 2003, before you can get to Exchange 2010.  If you are running Exchange 2000, then you can easily go directly to Exchange 2010.

You should also be aware that Exchange Server 2010 will only run on Windows Server 2008 using a 64bit processor.  Exchange 2010 will not work on Server 2003 and 32bit processor.

Rather than trying to explain all of the minute details of Exchange Server 2010 Prerequisites, I want to point you in the direction of a resource that I have used when I upgraded our infrastructure to Exchange Server 2010.  Please Click Here for the document, or visit Microsoft Corporation website for more information.

Further Reading:

One thought on “Exchange Server 2010 Prerequisites and Exchange Server 2010 System Requirements

Leave a Reply

Your email address will not be published. Required fields are marked *